vertex{
	
	uniform mat4 wtm;
	
	varying vec4 vertex;
	
	void main(){
		vertex = wtm * vec4(gl_Vertex.xyz, 1.0);
		gl_TexCoord[0] = gl_MultiTexCoord0;
		
		gl_Position = gl_ModelViewProjectionMatrix * vertex;
	}
	
};

fragment{
	
	uniform sampler2D texture;
	
	varying vec4 vertex;
	
	void main(){
		gl_FragColor = texture2D(texture, gl_TexCoord[0].xy);
	}
	
};