vertex{
	
	void main(){
		gl_Position = ftransform();
	}
	
};

fragment{
	uniform float x;
	uniform float y;
	uniform sampler2D tex;

	void main(){
		vec2 texCoord = gl_FragCoord.xy / vec2(x, y);
		
		vec4 addColor = vec4(0, 0, 0, 1);
		
		addColor += texture2D(tex, vec2(texCoord.x-(1/x), texCoord.y-(1/y))) * 0.0625;
		addColor += texture2D(tex, vec2(texCoord.x-(1/x), texCoord.y)) * 0.125;
		addColor += texture2D(tex, vec2(texCoord.x-(1/x), texCoord.y+(1/y))) * 0.0625;
		
		addColor += texture2D(tex, vec2(texCoord.x, texCoord.y-(1/y))) * 0.125;
		addColor += texture2D(tex, vec2(texCoord.x, texCoord.y)) * 0.25;
		addColor += texture2D(tex, vec2(texCoord.x, texCoord.y+(1/y))) * 0.125;
		
		addColor += texture2D(tex, vec2(texCoord.x+(1/x), texCoord.y-(1/y))) * 0.0625;
		addColor += texture2D(tex, vec2(texCoord.x+(1/x), texCoord.y)) * 0.125;
		addColor += texture2D(tex, vec2(texCoord.x+(1/x), texCoord.y+(1/y))) * 0.0625;
		
		gl_FragColor = addColor;
	}

};