vertex{
	
	void main(){
		gl_TexCoord[0] = gl_MultiTexCoord0;
		gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;
	}
	
};

fragment{
	
	uniform sampler2D texture;
	
	uniform float x_size;
	uniform float y_size;
	uniform float index;
	uniform float index_max;
	
	void main(){
		vec4 color = texture2D(texture, gl_TexCoord[0].xy);
		float cIndex = index_max-index;
		float range = sqrt(pow(gl_FragCoord.x-(x_size/2.0), 2.0) + pow(gl_FragCoord.y-(y_size/2.0), 2.0));
		float max_range = sqrt(pow(x_size/2.0, 2.0)+pow(y_size/2.0, 2.0))*2.0;
		float black = (((cIndex/index_max))/max_range)*(max_range-range);
		
		gl_FragColor = vec4(vec3(0.0), (1.0-black));
	}
	
};