vertex{
	
	void main(){
		gl_TexCoord[0] = gl_MultiTexCoord0;
		gl_Position = gl_ModelViewProjectionMatrix * vec4(gl_Vertex.xyz, 1.0);
	}
	
};

fragment{
	
	uniform sampler2D texture;
	
	void main(){
		vec4 color = texture2D(texture, gl_TexCoord[0].xy);
		
		if(color.rgb == vec3(0.0, 0.0, 1.0)){
			color.a = 0.0;
		}
		
		gl_FragColor = color;
	}
	
};